=== src/Makefile ===
#############################################################################
# Makefile for building: libsiilihai.so.0.6.0
# Generated by qmake (2.01a) (Qt 4.5.0) on: Thu Nov 12 23:23:17 2009
# Project:  src.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_SQL_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -g -g -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = -shared -Wl,-soname,libsiilihai.so.0
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtSql -lQtXml -lQtNetwork -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = parserreport.cpp \
		forumrequest.cpp \
		forummessage.cpp \
		forumthread.cpp \
		forumgroup.cpp \
		httppost.cpp \
		forumsession.cpp \
		forumsubscription.cpp \
		forumdatabase.cpp \
		parserdatabase.cpp \
		siilihaiprotocol.cpp \
		parserengine.cpp \
		forumparser.cpp \
		patternmatcher.cpp moc_forumsession.cpp \
		moc_forumdatabase.cpp \
		moc_parserdatabase.cpp \
		moc_siilihaiprotocol.cpp \
		moc_parserengine.cpp \
		moc_patternmatcher.cpp
OBJECTS       = parserreport.o \
		forumrequest.o \
		forummessage.o \
		forumthread.o \
		forumgroup.o \
		httppost.o \
		forumsession.o \
		forumsubscription.o \
		forumdatabase.o \
		parserdatabase.o \
		siilihaiprotocol.o \
		parserengine.o \
		forumparser.o \
		patternmatcher.o \
		moc_forumsession.o \
		moc_forumdatabase.o \
		moc_parserdatabase.o \
		moc_siilihaiprotocol.o \
		moc_parserengine.o \
		moc_patternmatcher.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		src.pro
QMAKE_TARGET  = siilihai
DESTDIR       = 
TARGET        = libsiilihai.so.0.6.0
TARGETA       = libsiilihai.a
TARGETD       = libsiilihai.so.0.6.0
TARGET0       = libsiilihai.so
TARGET1       = libsiilihai.so.0
TARGET2       = libsiilihai.so.0.6

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile libsiilihai.prl  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

libsiilihai.prl: 
	@$(QMAKE) -prl  -unix src.pro
Makefile: src.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile src.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/siilihai0.6 || $(MKDIR) .tmp/siilihai0.6 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/siilihai0.6/ && $(COPY_FILE) --parents parserreport.h forumrequest.h forummessage.h forumthread.h forumgroup.h httppost.h forumsession.h forumsubscription.h forumdatabase.h parserdatabase.h siilihaiprotocol.h parserengine.h forumparser.h patternmatcher.h .tmp/siilihai0.6/ && $(COPY_FILE) --parents parserreport.cpp forumrequest.cpp forummessage.cpp forumthread.cpp forumgroup.cpp httppost.cpp forumsession.cpp forumsubscription.cpp forumdatabase.cpp parserdatabase.cpp siilihaiprotocol.cpp parserengine.cpp forumparser.cpp patternmatcher.cpp .tmp/siilihai0.6/ && (cd `dirname .tmp/siilihai0.6` && $(TAR) siilihai0.6.tar siilihai0.6 && $(COMPRESS) siilihai0.6.tar) && $(MOVE) `dirname .tmp/siilihai0.6`/siilihai0.6.tar.gz . && $(DEL_FILE) -r .tmp/siilihai0.6


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_forumsession.cpp moc_forumdatabase.cpp moc_parserdatabase.cpp moc_siilihaiprotocol.cpp moc_parserengine.cpp moc_patternmatcher.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_forumsession.cpp moc_forumdatabase.cpp moc_parserdatabase.cpp moc_siilihaiprotocol.cpp moc_parserengine.cpp moc_patternmatcher.cpp
moc_forumsession.cpp: forumparser.h \
		forumsubscription.h \
		httppost.h \
		patternmatcher.h \
		forumgroup.h \
		forumthread.h \
		forummessage.h \
		forumsession.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) forumsession.h -o moc_forumsession.cpp

moc_forumdatabase.cpp: forumgroup.h \
		forumthread.h \
		forumsubscription.h \
		forummessage.h \
		forumdatabase.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) forumdatabase.h -o moc_forumdatabase.cpp

moc_parserdatabase.cpp: forumparser.h \
		parserdatabase.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) parserdatabase.h -o moc_parserdatabase.cpp

moc_siilihaiprotocol.cpp: forumparser.h \
		forumrequest.h \
		forumsubscription.h \
		httppost.h \
		parserreport.h \
		siilihaiprotocol.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) siilihaiprotocol.h -o moc_siilihaiprotocol.cpp

moc_parserengine.cpp: forumparser.h \
		forumsubscription.h \
		forumsession.h \
		httppost.h \
		patternmatcher.h \
		forumgroup.h \
		forumthread.h \
		forummessage.h \
		forumdatabase.h \
		parserengine.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) parserengine.h -o moc_parserengine.cpp

moc_patternmatcher.cpp: patternmatcher.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) patternmatcher.h -o moc_patternmatcher.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

parserreport.o: parserreport.cpp parserreport.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o parserreport.o parserreport.cpp

forumrequest.o: forumrequest.cpp forumrequest.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o forumrequest.o forumrequest.cpp

forummessage.o: forummessage.cpp forummessage.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o forummessage.o forummessage.cpp

forumthread.o: forumthread.cpp forumthread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o forumthread.o forumthread.cpp

forumgroup.o: forumgroup.cpp forumgroup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o forumgroup.o forumgroup.cpp

httppost.o: httppost.cpp httppost.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o httppost.o httppost.cpp

forumsession.o: forumsession.cpp forumsession.h \
		forumparser.h \
		forumsubscription.h \
		httppost.h \
		patternmatcher.h \
		forumgroup.h \
		forumthread.h \
		forummessage.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o forumsession.o forumsession.cpp

forumsubscription.o: forumsubscription.cpp forumsubscription.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o forumsubscription.o forumsubscription.cpp

forumdatabase.o: forumdatabase.cpp forumdatabase.h \
		forumgroup.h \
		forumthread.h \
		forumsubscription.h \
		forummessage.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o forumdatabase.o forumdatabase.cpp

parserdatabase.o: parserdatabase.cpp parserdatabase.h \
		forumparser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o parserdatabase.o parserdatabase.cpp

siilihaiprotocol.o: siilihaiprotocol.cpp siilihaiprotocol.h \
		forumparser.h \
		forumrequest.h \
		forumsubscription.h \
		httppost.h \
		parserreport.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o siilihaiprotocol.o siilihaiprotocol.cpp

parserengine.o: parserengine.cpp parserengine.h \
		forumparser.h \
		forumsubscription.h \
		forumsession.h \
		httppost.h \
		patternmatcher.h \
		forumgroup.h \
		forumthread.h \
		forummessage.h \
		forumdatabase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o parserengine.o parserengine.cpp

forumparser.o: forumparser.cpp forumparser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o forumparser.o forumparser.cpp

patternmatcher.o: patternmatcher.cpp patternmatcher.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o patternmatcher.o patternmatcher.cpp

moc_forumsession.o: moc_forumsession.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_forumsession.o moc_forumsession.cpp
