=== src/test/Makefile ===
#############################################################################
# Makefile for building: libsiilihaitests
# Generated by qmake (2.01a) (Qt 4.5.0) on: Thu Nov 12 23:23:34 2009
# Project:  test.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile test.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_SQL_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4 -I.. -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -L.. -lsiilihai -lQtSql -lQtXml -lQtNetwork -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		libsiilihaitests.cpp moc_libsiilihaitests.cpp
OBJECTS       = main.o \
		libsiilihaitests.o \
		moc_libsiilihaitests.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		test.pro
QMAKE_TARGET  = libsiilihaitests
DESTDIR       = 
TARGET        = libsiilihaitests

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: test.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libsiilihai.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile test.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libsiilihai.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile test.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/libsiilihaitests1.0.0 || $(MKDIR) .tmp/libsiilihaitests1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/libsiilihaitests1.0.0/ && $(COPY_FILE) --parents libsiilihaitests.h .tmp/libsiilihaitests1.0.0/ && $(COPY_FILE) --parents main.cpp libsiilihaitests.cpp .tmp/libsiilihaitests1.0.0/ && (cd `dirname .tmp/libsiilihaitests1.0.0` && $(TAR) libsiilihaitests1.0.0.tar libsiilihaitests1.0.0 && $(COMPRESS) libsiilihaitests1.0.0.tar) && $(MOVE) `dirname .tmp/libsiilihaitests1.0.0`/libsiilihaitests1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/libsiilihaitests1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_libsiilihaitests.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_libsiilihaitests.cpp
moc_libsiilihaitests.cpp: ../patternmatcher.h \
		../parserengine.h \
		../forumparser.h \
		../forumsubscription.h \
		../forumsession.h \
		../httppost.h \
		../forumgroup.h \
		../forumthread.h \
		../forummessage.h \
		../forumdatabase.h \
		../siilihaiprotocol.h \
		../forumrequest.h \
		../parserreport.h \
		../parserdatabase.h \
		libsiilihaitests.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) libsiilihaitests.h -o moc_libsiilihaitests.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp libsiilihaitests.h \
		../patternmatcher.h \
		../parserengine.h \
		../forumparser.h \
		../forumsubscription.h \
		../forumsession.h \
		../httppost.h \
		../forumgroup.h \
		../forumthread.h \
		../forummessage.h \
		../forumdatabase.h \
		../siilihaiprotocol.h \
		../forumrequest.h \
		../parserreport.h \
		../parserdatabase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

libsiilihaitests.o: libsiilihaitests.cpp libsiilihaitests.h \
		../patternmatcher.h \
		../parserengine.h \
		../forumparser.h \
		../forumsubscription.h \
		../forumsession.h \
		../httppost.h \
		../forumgroup.h \
		../forumthread.h \
		../forummessage.h \
		../forumdatabase.h \
		../siilihaiprotocol.h \
		../forumrequest.h \
		../parserreport.h \
		../parserdatabase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o libsiilihaitests.o libsiilihaitests.cpp

moc_libsiilihaitests.o: moc_libsiilihaitests.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_libsiilihaitests.o moc_libsiilihaitests.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
