=== debian/changelog ===
libsiilihai (0.7.0-1) unstable; urgency=low

  * Working, possibly first release

 -- Ville Ranki <ville.ranki@iki.fi>  Thu, 22 Oct 2009 20:29:43 +0300

libsiilihai (0.6.0-1) unstable; urgency=low

  * First more or less usable version

 -- Ville Ranki <ville.ranki@iki.fi>  Wed, 07 Oct 2009 20:29:43 +0300

libsiilihai (0.5.0-1) unstable; urgency=low

  * Initial release

 -- Ville Ranki <ville.ranki@iki.fi>  Thu, 24 Sep 2009 20:29:43 +0300
