## libsiilihai 0.7.5-1

=== debian/changelog ===
libsiilihai (0.7.5-1) unstable; urgency=low

  * Second Ubuntu release, possibly first Maemo release

 -- Ville Ranki <ville.ranki@iki.fi>  Fri, 13 Nov 2009 20:29:43 +0300
